ODC API
Response and request schema references are described in API schemas.
GET /stats/odc
Section titled “GET /stats/odc”Odc Stats
Parameters
Section titled “Parameters”| Name | In | Required | Type / constraints | Description |
|---|---|---|---|---|
symbol |
query | Yes | {"type": "string"} |
|
start_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Start date (YYYY-MM-DD) |
end_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
End date (YYYY-MM-DD) |
start_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC start time (HH:MM). If omitted, session-aware defaults are used. |
end_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC end time (HH:MM). If omitted, session-aware defaults are used. |
time_window |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}], "default": "12M"} |
Predefined time window (e.g., ‘1M’, ‘3M’, ‘6M’, ‘12M’, ‘24M’, ‘5Y’) |
interval_minutes |
query | No | {"type": "array", "items": {"type": "integer"}, "default": [5, 10, 15, 30, 60]} |
Minutes after open to evaluate |
include_extended_hours |
query | No | {"type": "boolean", "default": false} |
If True, include pre- and after-market data in breakout detection |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}GET /stats/odc/doc
Section titled “GET /stats/odc/doc”Odc Doc
Returns documentation for the fields in the ODC analysis output.
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }}GET /stats/odc/errors
Section titled “GET /stats/odc/errors”Odc Errors
Parameters
Section titled “Parameters”| Name | In | Required | Type / constraints | Description |
|---|---|---|---|---|
symbol |
query | Yes | {"type": "string"} |
|
start_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Start date (YYYY-MM-DD) |
end_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
End date (YYYY-MM-DD) |
start_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC start time (HH:MM). If omitted, session-aware defaults are used. |
end_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC end time (HH:MM). If omitted, session-aware defaults are used. |
time_window |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}], "default": "12M"} |
Predefined time window (e.g., ‘1M’, ‘3M’, ‘6M’, ‘12M’, ‘24M’, ‘5Y’) |
interval_minutes |
query | No | {"type": "array", "items": {"type": "integer"}, "default": [5, 10, 15, 30, 60]} |
|
include_extended_hours |
query | No | {"type": "boolean", "default": false} |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}GET /stats/odc/flop
Section titled “GET /stats/odc/flop”Odc Flop
Parameters
Section titled “Parameters”| Name | In | Required | Type / constraints | Description |
|---|---|---|---|---|
symbol |
query | Yes | {"type": "string"} |
|
start_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Start date (YYYY-MM-DD) |
end_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
End date (YYYY-MM-DD) |
start_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC start time (HH:MM). If omitted, session-aware defaults are used. |
end_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC end time (HH:MM). If omitted, session-aware defaults are used. |
time_window |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}], "default": "12M"} |
Predefined time window (e.g., ‘1M’, ‘3M’, ‘6M’, ‘12M’, ‘24M’, ‘5Y’) |
interval_minutes |
query | No | {"type": "array", "items": {"type": "integer"}, "default": [5, 10, 15, 30, 60]} |
|
limit |
query | No | {"type": "integer", "default": 3} |
|
sort |
query | No | {"type": "string", "default": "green_follow_rate_pct"} |
|
include_extended_hours |
query | No | {"type": "boolean", "default": false} |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}GET /stats/odc/momentum
Section titled “GET /stats/odc/momentum”Odc Momentum
Parameters
Section titled “Parameters”| Name | In | Required | Type / constraints | Description |
|---|---|---|---|---|
symbol |
query | Yes | {"type": "string"} |
|
start_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Start date (YYYY-MM-DD) |
end_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
End date (YYYY-MM-DD) |
start_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC start time (HH:MM). If omitted, session-aware defaults are used. |
end_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC end time (HH:MM). If omitted, session-aware defaults are used. |
time_window |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}], "default": "12M"} |
Predefined time window (e.g., ‘1M’, ‘3M’, ‘6M’, ‘12M’, ‘24M’, ‘5Y’) |
interval_minutes |
query | No | {"type": "array", "items": {"type": "integer"}, "default": [5, 10, 15, 30, 60]} |
|
include_extended_hours |
query | No | {"type": "boolean", "default": false} |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}GET /stats/odc/summary
Section titled “GET /stats/odc/summary”Odc Summary
Parameters
Section titled “Parameters”| Name | In | Required | Type / constraints | Description |
|---|---|---|---|---|
symbol |
query | Yes | {"type": "string"} |
|
start_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Start date (YYYY-MM-DD) |
end_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
End date (YYYY-MM-DD) |
start_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC start time (HH:MM). If omitted, session-aware defaults are used. |
end_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC end time (HH:MM). If omitted, session-aware defaults are used. |
time_window |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}], "default": "12M"} |
Predefined time window (e.g., ‘1M’, ‘3M’, ‘6M’, ‘12M’, ‘24M’, ‘5Y’) |
interval_minutes |
query | No | {"type": "array", "items": {"type": "integer"}, "default": [5, 10, 15, 30, 60]} |
|
include_extended_hours |
query | No | {"type": "boolean", "default": false} |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}GET /stats/odc/top
Section titled “GET /stats/odc/top”Odc Top
Parameters
Section titled “Parameters”| Name | In | Required | Type / constraints | Description |
|---|---|---|---|---|
symbol |
query | Yes | {"type": "string"} |
|
start_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Start date (YYYY-MM-DD) |
end_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
End date (YYYY-MM-DD) |
start_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC start time (HH:MM). If omitted, session-aware defaults are used. |
end_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC end time (HH:MM). If omitted, session-aware defaults are used. |
time_window |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}], "default": "12M"} |
Predefined time window (e.g., ‘1M’, ‘3M’, ‘6M’, ‘12M’, ‘24M’, ‘5Y’) |
interval_minutes |
query | No | {"type": "array", "items": {"type": "integer"}, "default": [5, 10, 15, 30, 60]} |
|
limit |
query | No | {"type": "integer", "default": 3} |
|
sort |
query | No | {"type": "string", "default": "green_follow_rate_pct"} |
|
include_extended_hours |
query | No | {"type": "boolean", "default": false} |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}